Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.wsrp.producer
Class WSRPProducerIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<WSRPProducerID>
              com.bea.portal.tools.portal.wsrp.producer.WSRPProducerIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class WSRPProducerIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<WSRPProducerID>

Builds and parses `WSRPProducerID`.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`WSRPProducerIDBuilder()` Constructor.

Method Summary
`WSRPProducerID` | `createResourceID()` Create the `WSRPProducerDefinitionsID`.
`String` | `getProducerHandle()` Get the producer handle of the referrent WSRP producer.
`WSRPProducerIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`WSRPProducerIDBuilder` | `setProducerHandle(String producerHandle)` Change the producer handle of the referrent WSRP producer definition.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WSRPProducerIDBuilder

    public WSRPProducerIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public WSRPProducerIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `WSRPProducerDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<WSRPProducerID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getProducerHandle

    public String getProducerHandle()

  Get the producer handle of the referrent WSRP producer.

  Returns
    the producer handle of the referrent WSRP producer

### setProducerHandle

    public WSRPProducerIDBuilder setProducerHandle(String producerHandle)

  Change the producer handle of the referrent WSRP producer definition.

  Parameters
    `producerHandle` - the producer handle of the referrent WSRP producer definition
  Returns
    this `WSRPProducerIDBuilder`

### createResourceID

    public WSRPProducerID createResourceID()

  Create the `WSRPProducerDefinitionsID`. the `WSRPProducerDefinitionsID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<WSRPProducerID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.